package WEB-INF.classes.wenrgise.hrms.webtier.form;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAttShiftRosterGenForm extends HrmBaseForm {
  private String site;
  
  private String fromDate;
  
  private String disabfromDate;
  
  private String toDate;
  
  private String disabtoDate;
  
  private String disabsite;
  
  private String butsite;
  
  private String butfromDate;
  
  private String buttoDate;
  
  private String txtDepartmentName;
  
  private String disabtxtDepartmentName;
  
  private String siteId;
  
  private String workGroupId;
  
  private String workGroupCode;
  
  private String butWrkGrpCode;
  
  private String butSiteCode;
  
  private String disabbutWrkGrpCode;
  
  private String disabbutSiteCode;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getSite() {
    return this.site;
  }
  
  public void setSite(String newSite) {
    this.site = newSite;
  }
  
  public String getFromDate() {
    return this.fromDate;
  }
  
  public void setFromDate(String newFromDate) {
    this.fromDate = newFromDate;
  }
  
  public String getDisabfromDate() {
    return this.disabfromDate;
  }
  
  public void setDisabfromDate(String newDisabfromDate) {
    this.disabfromDate = newDisabfromDate;
  }
  
  public String getToDate() {
    return this.toDate;
  }
  
  public void setToDate(String newToDate) {
    this.toDate = newToDate;
  }
  
  public String getDisabtoDate() {
    return this.disabtoDate;
  }
  
  public void setDisabtoDate(String newDisabtoDate) {
    this.disabtoDate = newDisabtoDate;
  }
  
  public String getDisabsite() {
    return this.disabsite;
  }
  
  public void setDisabsite(String newDisabsite) {
    this.disabsite = newDisabsite;
  }
  
  public String getButsite() {
    return this.butsite;
  }
  
  public void setButsite(String newButsite) {
    this.butsite = newButsite;
  }
  
  public String getButfromDate() {
    return this.butfromDate;
  }
  
  public void setButfromDate(String newButfromDate) {
    this.butfromDate = newButfromDate;
  }
  
  public String getButtoDate() {
    return this.buttoDate;
  }
  
  public void setButtoDate(String newButtoDate) {
    this.buttoDate = newButtoDate;
  }
  
  public String getTxtDepartmentName() {
    return this.txtDepartmentName;
  }
  
  public void setTxtDepartmentName(String newTxtDepartmentName) {
    this.txtDepartmentName = newTxtDepartmentName;
  }
  
  public String getDisabtxtDepartmentName() {
    return this.disabtxtDepartmentName;
  }
  
  public void setDisabtxtDepartmentName(String newDisabtxtDepartmentName) {
    this.disabtxtDepartmentName = newDisabtxtDepartmentName;
  }
  
  public String getSiteId() {
    return this.siteId;
  }
  
  public void setSiteId(String newSiteId) {
    this.siteId = newSiteId;
  }
  
  public String getWorkGroupId() {
    return this.workGroupId;
  }
  
  public void setWorkGroupId(String newWorkGroupId) {
    this.workGroupId = newWorkGroupId;
  }
  
  public String getWorkGroupCode() {
    return this.workGroupCode;
  }
  
  public void setWorkGroupCode(String newWorkGroupCode) {
    this.workGroupCode = newWorkGroupCode;
  }
  
  public String getButWrkGrpCode() {
    return this.butWrkGrpCode;
  }
  
  public void setButWrkGrpCode(String newButWrkGrpCode) {
    this.butWrkGrpCode = newButWrkGrpCode;
  }
  
  public String getButSiteCode() {
    return this.butSiteCode;
  }
  
  public void setButSiteCode(String newButSiteCode) {
    this.butSiteCode = newButSiteCode;
  }
  
  public String getDisabbutWrkGrpCode() {
    return this.disabbutWrkGrpCode;
  }
  
  public void setDisabbutWrkGrpCode(String newDisabbutWrkGrpCode) {
    this.disabbutWrkGrpCode = newDisabbutWrkGrpCode;
  }
  
  public String getDisabbutSiteCode() {
    return this.disabbutSiteCode;
  }
  
  public void setDisabbutSiteCode(String newDisabbutSiteCode) {
    this.disabbutSiteCode = newDisabbutSiteCode;
  }
}
